<div *ngIf="isLoading" class="laoder">
  <mat-progress-bar mode="indeterminate"></mat-progress-bar>
</div>
<div class="init" (scroll)="scrollHandler($event)">
  <br />
  <br />
  <div class="select">
    <mat-form-field appearance="fill" style="width: 100%">
      <mat-label style="color: black">Choix des locatifs </mat-label>
      <mat-select>
        <mat-option [value]="liste[0]" (click)="getTotalyInitialized()">
          Complètement initialisés
        </mat-option>
        <mat-option [value]="liste[1]" (click)="getPartiallyInitialized()">
          Partiellement initialisés
        </mat-option>
        <!--
        <mat-option [value]="liste[2]" (click)="getNotInitialized()">
          Non initialisés
        </mat-option>
        -->
        <mat-option [value]="liste[3]" (click)="getVersions()">
          Liste des éléments
        </mat-option>
      </mat-select>
    </mat-form-field>
  </div>
  <div *ngIf="step == 1">
    <div class="header">
      <div class="testTop">Total : {{ initNumber }}</div>
    </div>
    <div class="affichage">
      <hr class="new5" />
      <div
        class="items"
        *ngFor="let elementState of elemenStates; let i = index"
      >
        <div style="margin-left: 5%; font-family: Arial, Helvetica, sans-serif">
          {{ elementState }} - {{ elementVersion[i] }}
        </div>

        <hr class="new5" />
      </div>
    </div>
  </div>
  <div *ngIf="step == 2">
    <div class="header">
      <div class="testTop">Total : {{ partialNumber }}</div>
    </div>
    <div class="affichage">
      <hr class="new5" />
      <div
        class="items"
        *ngFor="let elementState of elemenStates; let i = index"
      >
        <div style="margin-left: 5%; font-family: Arial, Helvetica, sans-serif">
          {{ elementState }} - {{ elementVersion[i] }}
        </div>

        <hr class="new5" />
      </div>
    </div>
  </div>
  <div *ngIf="step == 3">
    <hr class="new5" />
    <div>
      <div *ngFor="let version of displayedVersions">
        <div class="Choix">
          <B> - {{ version["name"] }}</B>
          <div
            style="
              margin-left: 10px;
              margin-top: 2%;
              font-family: Arial, Helvetica, sans-serif;
            "
          >
            <div *ngIf="exist[0]">
              {{
                version["elementTypes"]["0"]
                  ? version["elementTypes"]["0"]["name"]
                  : null
              }}
            </div>
            <div *ngIf="exist[1]">
              {{
                version["elementTypes"]["1"]
                  ? version["elementTypes"]["1"]["name"]
                  : null
              }}
            </div>
            <div *ngIf="exist[2]">
              {{
                version["elementTypes"]["2"]
                  ? version["elementTypes"]["2"]["name"]
                  : null
              }}
            </div>
            <div *ngIf="exist[3]">
              {{
                version["elementTypes"]["3"]
                  ? version["elementTypes"]["3"]["name"]
                  : null
              }}
            </div>
            <div *ngIf="exist[4]">
              {{
                version["elementTypes"]["4"]
                  ? version["elementTypes"]["4"]["name"]
                  : null
              }}
            </div>
            <div *ngIf="exist[5]">
              {{
                version["elementTypes"]["5"]
                  ? version["elementTypes"]["5"]["name"]
                  : null
              }}
            </div>
            <div *ngIf="exist[6]">
              {{
                version["elementTypes"]["6"]
                  ? version["elementTypes"]["6"]["name"]
                  : null
              }}
            </div>
            <div *ngIf="exist[7]">
              {{
                version["elementTypes"]["7"]
                  ? version["elementTypes"]["7"]["name"]
                  : null
              }}
            </div>
            <div *ngIf="exist[8]">
              {{
                version["elementTypes"]["8"]
                  ? version["elementTypes"]["8"]["name"]
                  : null
              }}
            </div>
            <div *ngIf="exist[9]">
              {{
                version["elementTypes"]["9"]
                  ? version["elementTypes"]["9"]["name"]
                  : null
              }}
            </div>
            <div *ngIf="exist[10]">
              {{
                version["elementTypes"]["10"]
                  ? version["elementTypes"]["10"]["name"]
                  : null
              }}
            </div>
            <br />
          </div>
        </div>
        <hr class="new5" />
      </div>
    </div>
  </div>
</div>
